No Api key and other warnings

Hi, first of all sorry for my bad english.

I have the following problem with using google Maps

I generated a api key for google maps and placed it in the web-app.properties

When using the local server (localhost) everything is displayed correctly.

When using on a server the following errors will be displayed :

Google Maps API warning: NoApiKeys https://developers.google.com/maps/documentation/javascript/error-messages#no-api-keys
util.js:221
Google Maps API warning: RetiredVersion https://developers.google.com/maps/documentation/javascript/error-messages#retired-version
util.js:221
Google Maps API warning: SensorNotRequired https://developers.google.com/maps/documentation/javascript/error-messages#sensor-not-required

I am not sure that my key is correct.

Hope that someone can help or just sent key for testing that should work.

Thanks a lot,
Best regards,
Torsten

Hi Torsten

The warnings you are receiving are caused by CUBA specifying version of Google Maps API which became outdated. We will update our bindings for Google API in one of the future version.

Practically, there is not difference between using free API key and not using key at all in the current version (quotas are the same etc), so unless you’re using business API key you can ignore the warnings.

New version of Google Maps API however have more strict policy, which we will address in future releases (at the moment there are too many feedback on new Google Maps APi being unstable)